Subject: [Ace] Authorization Information Format

From: Carsten Bormann <[email-masked]>
Date: Fri, 17 Jan 2014 14:56:12 +0100

Since there seemed to be some confusion on what an Authorization Information Format could be, I wrote one up.  Not with an intention to nail one down at this point (that will be some more work), but rather to illustrate the term Authorization Information Format as it is used in the proposed charter.

Enjoy at:
http://tools.ietf.org/html/draft-bormann-core-ace-aif-00

Grüße, Carsten

---

From: Bert Greevenbosch <[email-masked]>
Date: Sat, 18 Jan 2014 01:22:19 +0000

Hi Carsten,

Good start of such authorisation information format.

I think the format is quite straight forward: for each URI, signal an integer which is an OR of 1 (for GET), 2 (for POST), 4 (for PUT) etc.; in general 2^{CoAP method number}. Nice that in CoAP we only reserved 5 bits for the method number, which allows signalling here in a max 32-bit integer.

I like the CBOR encoding.

I first thought, that it would be better to encode ["/s/light", 1] as a map instead of an array. The structure seems quite fit for a map, as you can have the URI as the key, and whatever information (in this case just the allowed methods, but that may become more) as the value. However, that would add the requirement to add an encapsulating array in the map in case we want to signal more than just the supported methods.

I wonder about the grouping of URIs. Section 2.1 points at RFC 6570 "URI templates", but that may be a bit complex. We could e.g. allow wildcards like "*" and "?", or if we changed the encoding to map allow an array with multiple URIs as the key.

Which device classes do you have in mind to parse the authorisation information?

Best regards,
Bert

> -----Original Message-----
> From: Ace [mailto:[email-masked]] On Behalf Of Carsten Bormann
> Sent: 17 January 2014 21:56
> To: [email-masked]
> Subject: [Ace] Authorization Information Format
> 
> Since there seemed to be some confusion on what an Authorization
> Information Format could be, I wrote one up.  Not with an intention to
> nail one down at this point (that will be some more work), but rather
> to illustrate the term Authorization Information Format as it is used
> in the proposed charter.
> 
> Enjoy at:
> _______________________________________________
> Ace mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ace

---

From: Likepeng <[email-masked]>
Date: Sat, 18 Jan 2014 02:27:03 +0000

Hi Carsten,

Thanks for the draft.

I added it in the draft list:
http://trac.tools.ietf.org/bof/trac/wiki/WikiStart#

Also here:
http://trac.tools.ietf.org/wg/core/trac/wiki/ACE_charter#

Kind Regards
Kepeng

-----邮件原件-----
发件人: Ace [mailto:[email-masked]] 代表 Carsten Bormann
发送时间: 2014年1月17日 21:56
收件人: [email-masked]
主题: [Ace] Authorization Information Format

Enjoy at:

Grüße, Carsten